<?php
session_start();
require_once __DIR__ . '../../vendor/autoload.php';

require_once ("../views/templateLayout/info.php");
use App\model\Patients;
use App\Message\Message;
$obj=new Patients();
$obj->prepareData($_REQUEST);
$allData=$obj->showone();
$status=$obj->exist_token();
if($status){
    $booking_date=date("d/m/Y",strtotime("$allData->booking_date"));
    $appoint_date=date("d/m/Y",strtotime("$allData->appoint_date"));
}
$timestamp = strtotime($allData->appoint_date);
$day = date('l', $timestamp);
$html=<<<EOD
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>OMAS</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
</head>
<body>
<div style="width: 100%; border: 2px #125d8c solid;min-height: 1010px;margin: 0 auto" >
<h2 style="text-align: center">Online Medical Appointment System</h2>
    <h5 style="text-align: center">web: www.omas.com</h5>
    <h3 style="text-align: center">Appointment Slip</h3>
    <hr style="width: 30%;margin: 0 auto">

    <div style="margin: 0 auto;width: 70%">
        <br><p style="text-align: center">use token no: <b>$allData->id</b> to show your appointment confirmation.</p>
        <div style="width: 20%;margin: 0 auto">
            <img src="../resources/patient_photos/$allData->picture" width="100%" style="border-radius: 15px">
        </div>
        <h3 style="text-align: center">Patient Details</h3>

        <table class="table table-bordered">
            <tbody>
            <tr>
                <td>Serial</td>

                <td style="text-align: right">$allData->serial</td>
            </tr>
            <tr>
                <td style="width: 40%">Name</td>
                <td style="text-align: right">$allData->patient_name</td>
            </tr>
            <tr>
                <td>Contact</td>

                <td style="text-align: right">$allData->contact</td>
            </tr>
            <tr>
                <td>Gender</td>
                <td style="text-align: right">$allData->gender</td>

            </tr>
            <tr>
                <td>Age</td>

                <td style="text-align: right">$allData->age</td>
            </tr>
            <tr>
                <td>Email</td>

                <td style="text-align: right">$allData->email</td>
            </tr>
            <tr>
                <td>Booking Date</td>

                <td style="text-align: right">$booking_date</td>
            </tr>
            <tr>
                <td>Appoint Date</td>

                <td style="text-align: right">$appoint_date</td>
            </tr>
            
            <tr>
                <td>Appoint Day</td>

                <td style="text-align: right">$day</td>
            </tr>
            <tr>
                <td>Appoint Time</td>

                <td style="text-align: right">$allData->time</td>
            </tr>

            </tbody>
        </table>
<br>
        <h3 style="text-align: center">Doctor Information</h3>
        <table  class="table table-bordered">
            <tbody>
            <tr>
                <td style="width: 40%">Name</td>
                <td style="text-align: right">Dr. $allData->doctor_name</td>
            </tr>
            <tr>
                <td>Contact</td>
                <td style="text-align: right">+88-$allData->d_contact</td>
            </tr>
            <tr>
                <td>Degree</td>

                <td style="text-align: right">$allData->degree</td>
            </tr>
            <tr>
                <td>Category</td>

                <td style="text-align: right">$allData->category_name</td>
            </tr>
            <tr>
                <td>Hospital</td>
                <td style="text-align: right">$allData->hospital_name</td>

            </tr>
            <tr>
                <td>Hospital Location</td>
                <td style="text-align: right">$allData->location</td>

            </tr>
            <tr>
                <td>Hospital Contact</td>
                <td style="text-align: right">$allData->h_contact</td>

            </tr>

            </tbody>
        </table>
        <br><br><br><br><br><br><br><br><br><br>
        <p style="text-align: center">This appointment slip is auto generated by OMAS software system.</p>
    </div>


</div>

</body>
</html>
EOD;


$mpdf = new \Mpdf\Mpdf();;

// Write some HTML code:

$mpdf->WriteHTML($html);

// Output a PDF file directly to the browser
$mpdf->Output($allData->patient_name.".pdf",'D');



